---
lang: en
title: 'API docs: repository.resolvetype'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.resolvetype.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [resolveType](./repository.resolvetype.md)

## resolveType() function

Resolve a type value that may have been provided via TypeResolver.

<b>Signature:</b>

```typescript
export declare function resolveType<T extends Object>(fn: TypeResolver<T> | Class<T>): Class<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  fn | <code>TypeResolver&lt;T&gt; &#124; Class&lt;T&gt;</code> | A type class or a type provider. |

<b>Returns:</b>

`Class<T>`

The resolved type.


